Package org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcSetTxParametersRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest
    - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcSetTxParametersRequest

All Implemented Interfaces:
  `ClientListenerRequest`, `JdbcRawBinarylizable`

    public class JdbcSetTxParametersRequest
    extends JdbcRequest

JDBC sets transactions parameters for connection.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`BATCH_EXEC, BINARY_TYPE_GET, BINARY_TYPE_NAME_GET, BINARY_TYPE_NAME_PUT, BINARY_TYPE_PUT, CACHE_PARTITIONS, META_COLUMNS, META_INDEXES, META_PARAMS, META_PRIMARY_KEYS, META_SCHEMAS, META_TABLES, QRY_EXEC, QRY_META, TX_END, TX_SET_PARAMS`

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
`JdbcSetTxParametersRequest()` Default constructor is used for deserialization.
`JdbcSetTxParametersRequest​(TransactionConcurrency concurrency, @Nullable TransactionIsolation isolation, int timeout, String lb)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TransactionConcurrency` `concurrency()`
`TransactionIsolation` `isolation()`
`String` `label()`
`void` `readBinary​(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`long` `timeout()`
`String` `toString()`
`void` `writeBinary​(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequest

`readRequest, readRequestId, readType, requestId, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`beforeStartupRequest`

### Constructor Detail

#### JdbcSetTxParametersRequest

    public JdbcSetTxParametersRequest()

Default constructor is used for deserialization.

#### JdbcSetTxParametersRequest

    public JdbcSetTxParametersRequest​(TransactionConcurrency concurrency,
                                      @Nullable
                                      @Nullable TransactionIsolation isolation,
                                      int timeout,
                                      String lb)

Parameters:
  `concurrency` - Transaction concurrency.
  `isolation` - Isolation level.
  `timeout` - Timeout.
  `lb` - Label.

### Method Detail

#### writeBinary

    public void writeBinary​(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcRequest`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary​(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcRequest`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### concurrency

    public TransactionConcurrency concurrency()

#### isolation

    public TransactionIsolation isolation()

#### timeout

    public long timeout()

#### label

    public String label()

#### toString

    public String toString()

Overrides:
  `toString` in class `JdbcRequest`